Delete a KV namespace
Deletes a KV namespace and all of the keys it contains. Deletion is asynchronous: the namespace is returned with status deleting. Deleting a namespace whose deletion is already in progress returns a 409.
DELETE
/
storage
/
kvs
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.storage.kvs.delete('id');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.storage.kvs.delete(
"id",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Storage.Kvs.Delete(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.storage()kvs()delete("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
kv_namespace_response_wrapper = telnyx.storage.kvs.delete("id")
puts(kv_namespace_response_wrapper)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$kv_namespace_response_wrapper = $client->storage->kvs->delete(
'id',
);
var_dump($kv_namespace_response_wrapper);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx storage:kvs delete \
--api-key 'My API Key' \
--id idcurl --request DELETE \
--url https://api.telnyx.com/v2/storage/kvs/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "storage_kv",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "my-cache",
"status": "provision_ok",
"created_at": "2026-06-18T14:48:17Z",
"updated_at": "2026-06-18T14:48:17Z"
}
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.storage.kvs.delete('id');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.storage.kvs.delete(
"id",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Storage.Kvs.Delete(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.storage()kvs()delete("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
kv_namespace_response_wrapper = telnyx.storage.kvs.delete("id")
puts(kv_namespace_response_wrapper)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$kv_namespace_response_wrapper = $client->storage->kvs->delete(
'id',
);
var_dump($kv_namespace_response_wrapper);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx storage:kvs delete \
--api-key 'My API Key' \
--id idcurl --request DELETE \
--url https://api.telnyx.com/v2/storage/kvs/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "storage_kv",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "my-cache",
"status": "provision_ok",
"created_at": "2026-06-18T14:48:17Z",
"updated_at": "2026-06-18T14:48:17Z"
}
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}